冷面阎罗

低调做人&&高调做事
随笔 - 208, 文章 - 3, 评论 - 593, 引用 - 0
数据加载中……

使用Weblogic-Eclipse Plugin启动weblogic出现的错误

      配置Weblogic-Eclipse Plugin插件后,启动weblogic,出现如下错误
***************************************************************************
The WebLogic Server did not start up properly.
weblogic.common.internal.VersioningError: Incompatible service packs in CLASSPATH: (BEA Systems, WebLogic Server 
8.1 SP3  Tue Jun 29 23:11:19 PDT 2004 404973 , 8.1.3.0) not compatible with (BEA Systems, WebLogic Server 8.1 SP4  Mon Nov 29 16:21:29 PST 2004 471647 , 8.1.4.0)
    at weblogic.common.internal.VersionInfo.verifyPackages(VersionInfo.java:
183)
    at weblogic.common.internal.VersionInfo.
<init>(VersionInfo.java:65)
    at weblogic.common.internal.VersionInfo.initialize(VersionInfo.java:
127)
    at weblogic.common.internal.VersionInfo.theOne(VersionInfo.java:
98)
    at weblogic.version.getPLInfo(version.java:
57)
    at weblogic.t3.srvr.T3Srvr.checkAccess(T3Srvr.java:
523)
    at weblogic.t3.srvr.T3Srvr.initializeHere(T3Srvr.java:
716)
    at weblogic.t3.srvr.T3Srvr.initialize(T3Srvr.java:
670)
    at weblogic.t3.srvr.T3Srvr.run(T3Srvr.java:
344)
    at weblogic.Server.main(Server.java:
32)
Reason: Incompatible service packs in CLASSPATH: (BEA Systems, WebLogic Server 
8.1 SP3  Tue Jun 29 23:11:19 PDT 2004 404973 , 8.1.3.0) not compatible with (BEA Systems, WebLogic Server 8.1 SP4  Mon Nov 29 16:21:29 PST 2004 471647 , 8.1.4.0)
***************************************************************************
       出现错误的原因是还是jar冲突,这点我觉得weblogic很不地道,我之前就出现n此了。
     webservice8.1中部署axis webservice : http://www.blogjava.net/soddabao/archive/2007/09/13/144749.html
    weblogic与axis之间向冲突
http://www.blogjava.net/soddabao/archive/2006/11/24/83134.html
     这种问题的解决方法:window-preferences-weblogic-project把你的工程删掉,重启服务就ok。

posted on 2007-09-27 13:28 冷面阎罗 阅读(1566) 评论(0)  编辑  收藏


只有注册用户登录后才能发表评论。


网站导航: